summaryrefslogtreecommitdiffstats
path: root/jjb/3rd_party_ci/postprocess-netvirt.sh
diff options
context:
space:
mode:
authorFatih Degirmenci <fatih.degirmenci@ericsson.com>2017-01-17 08:38:32 +0000
committerGerrit Code Review <gerrit@opnfv.org>2017-01-17 08:38:32 +0000
commite2be584139c256edfb55c2c3efb118511faddf69 (patch)
tree3da3ff7d871eb519e4a970a1d019539a686e415e /jjb/3rd_party_ci/postprocess-netvirt.sh
parent76e722eca7e73a1a920ff5fb1fa2dc2107753276 (diff)
parent3a4bd17dd35ef792903601a109fe7934728bcd3c (diff)
Merge "Avoid removing the whole file system"
Diffstat (limited to 'jjb/3rd_party_ci/postprocess-netvirt.sh')
-rwxr-xr-xjjb/3rd_party_ci/postprocess-netvirt.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/jjb/3rd_party_ci/postprocess-netvirt.sh b/jjb/3rd_party_ci/postprocess-netvirt.sh
index 2e99477c5..5baf378a9 100755
--- a/jjb/3rd_party_ci/postprocess-netvirt.sh
+++ b/jjb/3rd_party_ci/postprocess-netvirt.sh
@@ -1,14 +1,15 @@
#!/bin/bash
set -e
+if [ -z ${WORKSPACE} ]; then
+ echo "WORKSPACE is unset. Please do so."
+ exit 1
+fi
# wipe the WORKSPACE
-if [ -z ${WORKSPACE} ]; then echo "WORKSPACE is unset"; else echo "WORKSPACE is set to \"$WORKSPACE\""; fi
-WORKSPACE=${WORKSPACE:-$PWD}
/bin/rm -rf $WORKSPACE/*
-set -e
# clone opnfv sdnvpn repo
git clone https://gerrit.opnfv.org/gerrit/p/sdnvpn.git $WORKSPACE/sdnvpn
. $WORKSPACE/sdnvpn/odl-pipeline/odl-pipeline-common.sh
pushd $LIB
./post_process.sh
-popd \ No newline at end of file
+popd